# Vanilla Void
Have you ever died with Pluripotent Larva and thought, "wow, that didn't corrupt literally all of my items. this game sucks!" I uh, me neither, but..anyway...

This mod adds 7 void items: 4 common/tier-1, 2 uncommon/tier-2, and 1 legendary/tier-3, which all have lore entries. More to come! 
<p>This mod (clearly) requires Survivors of the Void.

# New Void Items
Values or words in brackets (ex. <b>[5]</b> or <b>[all]</b>) can be edited in the config. Both the base and stacking effects of these items are customizable. You can also turn any or all of the items off, if you're in to that sort of thing.
<table>
	<thead>
		<tr>
			<th>Icon</th>
			<th>Name/Effect</th>
                        <th>Non-Void Pair</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td colspan="3" align="center"><h3>Common / Tier 1 Items</h3></td>
		</tr>
		<tr>
			<td><img src="https://github.com/Zenithrium/vanillaVoid/blob/master/vanillaVoid/Icons/adzeIcon512.png?raw=true" width=128></td>
			<td>
				<b>Abyss-Touched Adze</b><br>
				Deal up to <b>[40%]</b> damage to enemies with lower health. Scales linearly the less health a given enemy has.
			</td>
                        <td> 
				Corrupts all <b>Crowbars</b>.
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/Zenithrium/vanillaVoid/blob/master/vanillaVoid/Icons/watchIcon512.png?raw=true" width=128></td>
			<td>
				<b>Clockwork Mechanism</b><br>
			        Gain <b>[3]</b> items at the start of every stage. Taking damage to below 25% health <b>[breaks]</b>/<b>[scraps]</b> <b>[a random item]</b>/<b>[itself]</b>, with a cooldown of <b>[3]</b> seconds, <b>[with/without]</b> a preference for lower tier items. <p><b>---</b><p> This item has multiple variants. You can select which you'd prefer in the config.
			</td>
                        <td> 
				Corrupts all <b>Delicate Watches</b>.
			</td>
		</tr>
                <tr>
			<td><img src="https://github.com/Zenithrium/vanillaVoid/blob/master/vanillaVoid/Icons/vialsIcon512.png?raw=true" width=128></td>
			<td>
				<b>Enhancement Vials</b><br>
				Upgrade an item at low health. Consumed on use. At the start of each stage, <b>[1]</b> stack regenerates.
			</td>
                        <td> 
				Corrupts all <b>Power Elixirs</b>.
			</td>
		</tr>
                 <tr>
			<td><img src="https://github.com/Zenithrium/vanillaVoid/blob/master/vanillaVoid/Icons/ventIcon512.png?raw=true" width=128></td>
			<td>
				<b>Extraterrestrial Exhaust</b><br>
				Upon activating a skill, fire a rocket for every <b>[2]</b> seconds of the skill's base cooldown, which does <b>[25%]</b> base damage.
			</td>
                        <td> 
				Corrupts all <b>Bundles of Fireworks</b>.
			</td>
		</tr>
			<td colspan="3" align="center"><h3>Uncommon / Tier 2 Items</h3></td>
		</tr>
		<tr>
			<td><img src="https://github.com/Zenithrium/vanillaVoid/blob/master/vanillaVoid/Icons/crystalLotusIcon512.png?raw=true" width=128></td>
			<td>
				<b>Crystalline Lotus</b><br>
				Periodically release <b>[1]</b> barrier nova during the Teleporter event and 'Holdout Zones' such as the Void Fields which provide <b>[50%]</b> barrier.
			</td>
                        <td> 
				Corrupts all <b>Lepton Daisies</b>.
			</td>
		</tr>
		<tr>
			<td><img src="https://github.com/Zenithrium/vanillaVoid/blob/master/vanillaVoid/Icons/bladeIcon512.png?raw=true" width=128></td>
			<td>
				<b>Executioner's Burden</b><br>
				Your 'On-Kill' effects occur <b>[1]</b> additional time upon killing an elite.
			</td>
                        <td> 
				Corrupts all <b>Old Guillotines</b>.
			</td>
		</tr>
                        <td colspan="3" align="center"><h3>Legendary / Tier 3 Items</h3></td>
		</tr>
                <tr>
			<td><img src="https://github.com/Zenithrium/vanillaVoid/blob/master/vanillaVoid/Icons/orreryIcon512.png?raw=true" width=128></td>
			<td>
				<b>Lens-Maker's Orrery</b><br>
				Lens-related items are <b>[30%]</b> more effective on the first stack. Your Critical strikes can occur <b>[1]</b> additional time, with <b>[50%]</b> the chance of the previous one. 
              		</td>
                        <td> 
				Corrupts all <b>Laser Scopes</b>.
			</td>
		</tr>
	</tbody>
</table>

# Special Thanks

- Thank you to...
  - KomradeSpectre, for the item boilerplate and tutorial
  - RumblingJOSEPH, both for VoidAPI but also for helping me figure everything out time and time again
  - Corn-Lord for the concept, name, and general lore, and Voidsenight for the design inspiration of Lens-Maker's Orrery, from their RoR2 Ideas document, found here: https://docs.google.com/document/d/1mRj_wADu0cru9Kmp0sPquV-leUX_CwVtbXGYLxXFDK0/edit?usp=sharing
  - Heyimnoop, for making the original Adze icon, helping with the current Lotus and Orrery icons, and for putting up with me being hilariously stupid
  - PIEisFANTASTIC and thejanjan for the Orrey rework idea
  - Conq, for the current iteration of Clockwork
  - Harb, for helping with the gross IL hook in Lens-Maker's Orrery
  - RandomlyAwesome, for helping me hook into the right part of the stage manager for the Clockwork item
  - iDeathHD and Bubbet for helping with spawning Executioner's Burden properly, and iDeathHD again for helping with prefabs with Exhaust
  - ThinkInvis and TinkersSatchel for inspiration (read: being stolen from) on how the thunderstore page looks now
  - The RoR2 Modding and Starstorm 2 servers for helping refine ideas/designs and generally being kind 

# Misc
You can contact me on Discord in the RoR2 Modding server or simply message me, @Zenithrium#7082. I'd love to hear about more item ideas or if you think any item could use a buff, nerf, or even a rework. You can also check out the Github and leave a pull request or issue.

# Changelog
* v1.1.8 HP Bar / IL Hook Fix
  * Improved IL hook for Orrery / Lost Seer's interaction so it shouldn't cause an NRE
  * Thank you HIFU for helping me with the IL hook 

* v1.1.7 Clockwork Rework Again & Fixes Again
  * Another Clockwork rework suggested by a friend of mine. Configs for Clockwork should be entirely reset. Old variants are still available
  * Fixed Orrery not working on Railgunner
  * Fixed Lotus-related NREs

* v1.1.6 Clockwork Rework & Fixes
  * Added Clockwork Rework / Variant, idea courtesy of Conq on the modding discord. You can still use the old variant if you'd like, but the config will by default be the new version
  * Fixed some phrasing / small issues in the logbook and config
  * Improved config for Vials
  * Fixed Blade and Lotus not properly showing up in multiplayer
  * Fixed Lotus's positioning on the Celestial Portal
  * Fixed Lotus generally behaving strangely
  * Slightly updated logo

* v1.1.5: Minor Buffs Update
  * 'Updated' the mod to newest version - I don't think anything was actually broken, but now it should be even less broken, hopefully
  * Retroactively credited PIEisFANTASTIC and thejanjan for the orrey rework idea because I forgot to (sorry!!)
  * Buffs Vials to regenerate one per stage, because getting a void item that's only purpose is to destroy itself sucks
  * Makes Exhaust actually work with ICBM
  * Fixed Vials and Clockwork not breaking from fall damage
  * Known bug - exhaust projectiles don't properly disappear as a client in multiplayer

* v1.1.4: Oops Update
  * Unbreaks critting
  * Maybe fixes orrery, it was the culprit so it might work a little differently now but it's what was intended

* v1.1.3: Logbook Updates & Fixes
  * Redid logbook displays for most of the items
  * Fixed a typo in Executioner's Burden's logbook entry 
  * Fixed coloring in Orrery's logbook entry, and reworded it to no longer mention "dipping", rather "occurances"

* v1.1.2: Modded Item Displays and Lotus
  * Added Crystalline Lotus
  * Reworked Lens-Maker's Orrery, rework idea courtesy of PIEisFANTASTIC and thejanjan on the mod's github
  * Redid icons for Clockwork and Orrery
  * Added item displays for Enforcer, Nemforcer, Dancer, and Myst
  * Also added displays for Paladin and Miner but those mods aren't fully updated yet, so they won't show up as of the current version
  * Fixed Adze sometimes making your damage insanely high on the killing blow, thus resulting in stupidly high end-of-run damage numbers
  * Fixed? Exhaust not working for non-host players in multiplayer

* v1.1.1: Visual Enhancement (vials) & Bugfixes
  * Made the icons less crusty, they are now 512x512 instead of 128x128
  * Redid displays for Enhancement Vials, so they're more like Power Elixir
  * Normalizes pickup descriptions
  * Banned Extraterrestrial Exhaust from enemies, as it's busted on a particular enemy
  * Fixed "Bundle of Fireworks" being referred to as just "Fireworks"
  * Prevents Clockwork Mechanism's effect from occuring on stages without normal interactable spawns (ex. Void Fields), but also made it a config because that's a funny feature (but it's off by default)
  * Removed debug messages from Orrery that I guess I didn't notice until now, and cleaned up Exhaust code
  * Removed Luck from tooltip of Executioner's Burden (the effect is still there, it was removed because it makes the item seem like it has two distinct effects while its really just one meaningful one (rewards for killing elites) and it also doesn't stack, so it being in the tooltip is a bit unneeded. It is still in the logbook, and the luck is still editable in the config if you so desire)
  * Redid Thunderstore page. Again. 
  * Removed references to white/green/red tiers on the page because they're void items. They're all purple-pink
  * The NEXT update will rework orrery...probably

* v1.1.0: ""E"" Update
  * Added Enhancement Vials, Extraterrestrial Exhaust, and Executioner's Burden
  * The names all being E wasn't intentional I swear
  * Redid textures on Adze, so it needed a new icon (sorry noop)
  * Redid item displays / pickups for Adze, Clockwork, and Orrery so that the item tier outline shows up properly on them (oops!)
  * Fixes Clockwork Mechanism displaying the base effect twice in its description and not the stacking effect
  * Made the Thunderstore page way nicer because the old one sucked
  * Maybe something else I forgot, this update took way longer than I meant it to
  * Next update will probably rework/buff orrery 

* v1.0.0: Release
  * Hopefully it all works!